aboutsummaryrefslogtreecommitdiff
path: root/common/hooks/pre-pkg
diff options
context:
space:
mode:
authorJuan RP <xtraeme@gmail.com>2019-06-17 13:10:16 +0000
committerJuan RP <xtraeme@gmail.com>2019-06-17 13:23:20 +0000
commitf59b2959038c136cf8b76c8a7bf358fedf48ac37 (patch)
tree063fd97217b7f1868d3395a982f5a4c8244966f8 /common/hooks/pre-pkg
parentea7a6e858d2af37778710a0bca97dddbb55252b9 (diff)
downloadvoid-packages-f59b2959038c136cf8b76c8a7bf358fedf48ac37.tar
void-packages-f59b2959038c136cf8b76c8a7bf358fedf48ac37.tar.gz
void-packages-f59b2959038c136cf8b76c8a7bf358fedf48ac37.tar.bz2
void-packages-f59b2959038c136cf8b76c8a7bf358fedf48ac37.tar.lz
void-packages-f59b2959038c136cf8b76c8a7bf358fedf48ac37.tar.xz
void-packages-f59b2959038c136cf8b76c8a7bf358fedf48ac37.tar.zst
void-packages-f59b2959038c136cf8b76c8a7bf358fedf48ac37.zip
xbps-src: cleaned up usage of mktemp(1).
This one was on my TODO for a long while... fixes unportable arguments (checked with the NetBSD's manual page).
Diffstat (limited to 'common/hooks/pre-pkg')
-rw-r--r--common/hooks/pre-pkg/04-generate-runtime-deps.sh2
-rw-r--r--common/hooks/pre-pkg/06-shlib-provides.sh2
2 files changed, 2 insertions, 2 deletions
diff --git a/common/hooks/pre-pkg/04-generate-runtime-deps.sh b/common/hooks/pre-pkg/04-generate-runtime-deps.sh
index 5ca384a520b..9edb85ad59b 100644
--- a/common/hooks/pre-pkg/04-generate-runtime-deps.sh
+++ b/common/hooks/pre-pkg/04-generate-runtime-deps.sh
@@ -61,7 +61,7 @@ hook() {
return 0
fi
- depsftmp=$(mktemp -t xbps_src_depstmp.XXXXXXXXXX) || return 1
+ depsftmp=$(mktemp || exit 1)
find ${PKGDESTDIR} -type f -perm -u+w > $depsftmp 2>/dev/null
exec 3<&0 # save stdin
diff --git a/common/hooks/pre-pkg/06-shlib-provides.sh b/common/hooks/pre-pkg/06-shlib-provides.sh
index 738760d0729..44c452a5d9a 100644
--- a/common/hooks/pre-pkg/06-shlib-provides.sh
+++ b/common/hooks/pre-pkg/06-shlib-provides.sh
@@ -5,7 +5,7 @@ collect_sonames() {
local _destdir="$1" f _soname _fname _pattern
local _pattern="^[[:alnum:]]+(.*)+\.so(\.[0-9]+)*$"
local _versioned_pattern="^[[:alnum:]]+(.*)+\.so(\.[0-9]+)+$"
- local _tmpfile="$(mktemp)"
+ local _tmpfile="$(mktemp || exit 1)"
if [ ! -d ${_destdir} ]; then
rm -f ${_tmpfile}